
/*
 *  IBM Confidential
 *  OCO Source Materials
 *
 *  (C) Copyright IBM Corp. 2005
 *
 *  The source code for this program is not published or otherwise divested
 *  of its trade secrets, irrespective of what has been deposited with the
 *  U.S. Copyright Office.
 *
 *
 */
package com.ibm.wtci.samples.axis.source;

import java.util.ArrayList;
import java.util.Iterator;

import javax.xml.rpc.encoding.Serializer;

import org.apache.axis.encoding.SerializerFactory;

/**
 * This class implements SerializerFactory for objects of type
 * CommonBaseEvent
 * 
 */
public class CbeSerializerFactory implements SerializerFactory {

	/**
	 * Constructs the CbeSerializerFactory
	 *
	 */
    public CbeSerializerFactory() {
    	super();
    }

	/* (non-Javadoc)
	 * @see javax.xml.rpc.encoding.SerializerFactory#getSerializerAs(java.lang.String)
	 */
	public Serializer getSerializerAs(String mechanismType) {
		return new CbeSerializer();
	}

	/* (non-Javadoc)
	 * @see javax.xml.rpc.encoding.SerializerFactory#getSupportedMechanismTypes()
	 */
	public Iterator getSupportedMechanismTypes() {
		return new ArrayList().iterator();
	}

}
